Friday, June 11, 2010

Apple's new iPad app, iMovie, won't run on a 3.x iPad! It needs the iOS 4 and we know that won't be released for iPad sooner than Sept! yuk!
Post a Comment